Unit tama8r_p;
interface
uses
SysUtils, Math, { Delphi }
LStruct, Lfunc, UtRes_p, AMA8R_p;

function tama8r: String; 

implementation

function tama8r: String;
var
N,M,_i :Integer;
CN :Array [0..14] of Real;
X :Array [0..5] of Real;
const
IA :Array [0..4] of Integer = ( 1,3,7,9,11 );
JA :Array [0..9] of Integer = ( 5,3,4,3,1,5,1,6,4,2 );
IB :Array [0..4] of Integer = ( 1,4,5,8,10 );
JB :Array [0..8] of Integer = ( 1,6,3,5,4,2,1,2,3 );
IC :Array [0..4] of Integer = ( 1,5,9,13,16 );
JC :Array [0..14] of Integer = ( 5,3,1,6,4,3,1,5,1,6,4,2,4,2,3 );
AN :Array [0..9] of Real = ( -1.0,2.0,3.0,3.0,4.0,7.0,-2.0,-1.0,1.0,1.0 );
BN :Array [0..8] of Real = ( 1.0,5.0,-1.0,-2.0,2.0,6.0,4.0,-1.0,1.0 );
begin
Result := '';

{         8R }

N := 4;
M := 6;
AMA8R(IA,JA,AN,IB,JB,BN,N,M,IC,JC,CN,X);
Result := Result + Format('%s',[' CN=']);
Result := Result + #$0D#$0A;
for _i:=0 to 14 do
 begin
  Result := Result + Format('%20.16f ',[CN[_i]]);
  if ( ((_i+1) mod 15)=0 )
   then Result := Result + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
UtRes('tama8r',Result);  {     tama8r.res }
exit;
end;

end.
